/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreatePipelineInput } from "../types/CreatePipelineInput";
import { CreatePipelineOutput } from "../types/CreatePipelineOutput";
import { ElasticTranscoderResolvedConfiguration } from "../ElasticTranscoderConfiguration";
export * from "../types/CreatePipelineInput";
export * from "../types/CreatePipelineOutput";
export * from "../types/CreatePipelineExceptionsUnion";
export declare class CreatePipelineCommand implements __aws_sdk_types.Command<InputTypesUnion, CreatePipelineInput, OutputTypesUnion, CreatePipelineOutput, ElasticTranscoderResolvedConfiguration, _stream.Readable> {
    readonly input: CreatePipelineInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreatePipelineInput, CreatePipelineOutput, _stream.Readable>;
    constructor(input: CreatePipelineInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticTranscoderResolvedConfiguration): __aws_sdk_types.Handler<CreatePipelineInput, CreatePipelineOutput>;
}
