"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreatePipeline_1 = require("../model/operations/CreatePipeline");
class CreatePipelineCommand {
    constructor(input) {
        this.input = input;
        this.model = CreatePipeline_1.CreatePipeline;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreatePipelineCommand = CreatePipelineCommand;
//# sourceMappingURL=CreatePipelineCommand.js.map