"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const TestRole_1 = require("../model/operations/TestRole");
class TestRoleCommand {
    constructor(input) {
        this.input = input;
        this.model = TestRole_1.TestRole;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.TestRoleCommand = TestRoleCommand;
//# sourceMappingURL=TestRoleCommand.js.map