"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdatePipelineNotifications_1 = require("../model/operations/UpdatePipelineNotifications");
class UpdatePipelineNotificationsCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdatePipelineNotifications_1.UpdatePipelineNotifications;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdatePipelineNotificationsCommand = UpdatePipelineNotificationsCommand;
//# sourceMappingURL=UpdatePipelineNotificationsCommand.js.map