"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreatePipelineInput_1 = require("../shapes/CreatePipelineInput");
const CreatePipelineOutput_1 = require("../shapes/CreatePipelineOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreatePipeline = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreatePipeline",
    http: {
        method: "POST",
        requestUri: "/2012-09-25/pipelines"
    },
    input: {
        shape: CreatePipelineInput_1.CreatePipelineInput
    },
    output: {
        shape: CreatePipelineOutput_1.CreatePipelineOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=CreatePipeline.js.map