"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ReadJobInput_1 = require("../shapes/ReadJobInput");
const ReadJobOutput_1 = require("../shapes/ReadJobOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ReadJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ReadJob",
    http: {
        method: "GET",
        requestUri: "/2012-09-25/jobs/{Id}"
    },
    input: {
        shape: ReadJobInput_1.ReadJobInput
    },
    output: {
        shape: ReadJobOutput_1.ReadJobOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=ReadJob.js.map